<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides CPANEL client support
 *
 * @package    Host
 * @category   Plugins
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Host_Plugin_Cpanel_11 extends Host_Plugin_Cpanel {
#	protected $protocol = '1.6.3.0';

	// @todo Get these default "templates" values out of the DB
	private $_template = array(
	);

	/**
	 * Get a Client Configuration
	 */
	public function cmd_getclient(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	/**
	 * Get a DNS Configuration
	 */
	public function cmd_getdns(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	/**
	 * Get Mail Configuration
	 */
	public function cmd_getmail(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	/**
	 * Get a Domain Configuration
	 */
	public function cmd_getdomain(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	/**
	 * Get Reseller
	 */
	public function cmd_getreseller(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	/**
 	 * Get Domain Traffic
 	 */
 	public function cmd_gettraffic(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	/**
	 * Disable Mail
	 */
	public function cmd_disablemail(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	/**
	 * Provision a hosting service
	 * @todo To implement
	 */
	public function provision(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	public function add_client(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	public function add_dnsdata(Model_Service $so,XML $dns) {
		throw new Kohana_Exception('Not Implemented');
	}

	public function add_domain(Model_Service $so) {
		throw new Kohana_Exception('Not Implemented');
	}

	public function newitem(Model_Service $so,$type) {
		throw new Kohana_Exception('Not Implemented');
	}

	public function setexpire(Model_Service $so,$date=NULL) {
		throw new Kohana_Exception('Not Implemented');
	}

	public function setpasswd(Model_Service $so,$pw) {
		throw new Kohana_Exception('Not Implemented');
	}
}
?>
